# $Revision: 1.2 $, $Date: 2012/06/14 21:18:40 $
%define		pkg	request
Summary:	Simplified HTTP request client
Name:		nodejs-%{pkg}
Version:    2.9.202
Release:	1
License:	ASL 2.0
Group:		Development/Libraries
URL:		https://github.com/mikeal/request
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	28acbdfd3c3feff9d799ce8b7cd760e6
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simplified HTTP request client.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr *.js vendor package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{nodejs_libdir}/%{pkg}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nodejs-request.spec,v $
Revision 1.2  2012/06/14 21:18:40  glen
- up to 2.9.202

Revision 1.1  2012/01/25 22:44:48  glen
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo
